# Este script obtem dados de um arquivo chamado idade.txt que contem a idade de alunos de
# quatro cursos de uma universidade.

# O script obtem as informaes do arquivo e no final calcula a mdia de idade de alguns cursos
# O universo de estudo  uma universidade
# Dentro da universidade foram selecionados 4 cursos
# Dentro desses cursos foram selecionados alguns alunos de cada um deles para fazer a pesquisa

#. Curso: C. Computao
#. Data: 25/10/2022 10:40:11
# Alunos:
# - Bruno Santos Costa
# - Flavia Alessandra Santos de Jesus
# - Victor Coutinho

#.. Faz a leitura do arquivo e coloca os dados no objeto dados
dados <- read.table(file="dados.txt",
                    header=TRUE,
                    sep="\t")

# Imprime o conteudo da objeto
str(dados)
dados

#.. Uso do argumento 'prob' na funo sample:
# Vetor de probabilidades desproporcional
pb <- c(30/100,
        60/100,
        10/100)

# R Tradicional
barplot(table(sample(LETTERS[1:3],
                     size=1e4,
                     replace=TRUE,
                     prob=pb)),
        ylim=c(0, 6000))

# R como peradores modernos
library(magrittr)
LETTERS[1:3] %>% sample(size=1e4,
                        rep=T,
                        prob=pb) %>% table %>% barplot(col=rainbow(3),
                                                       ylim=c(0, 6000))

# Exemplo de amostragem
amostra1 <- with(dados, 
                 MED) %>% sample(size=5,
                                 rep=F)

#.. Obtem uma amostra dos dados de cada curso
set.seed(20222)
amo_MED <- with(dados, 
                MED) %>% sample(size=5,
                                rep=F)
amo_ENG <- with(dados, 
                ENG) %>% sample(size=5,
                                rep=F)
amo_CIC <- with(dados, 
                CIC) %>% sample(size=5,
                                rep=F)
amo_AGRO <- with(dados, 
                 AGRO) %>% sample(size=5,
                                  rep=F)

# Imprime na tela a mdia de idade de cada amostra retirada dos cursos
cat("Mdia de idade da amostra de Medicina: ",
    mean(amo_MED),
    '\n')

cat("Mdia de idade da amostra de Engenharia: ",
    mean(amo_ENG),
    '\n')

cat("Mdia de idade da amostra de Ciencia da Computao: ",
    mean(amo_CIC),
    '\n')

cat("Mdia de idade da amostra de Agronomia: ",
    mean(amo_AGRO),
    '\n')
